Subject: Re: [PATCH v2 0/3] a few config integer parsing fixes

From: Taylor Blau <[email-masked]>
Date: Wed, 9 Nov 2022 21:35:09 -0500

On Wed, Nov 09, 2022 at 02:16:25PM +0000, Phillip Wood via GitGitGadget wrote:
> This series fixes some issues I noticed when reading the integer parsing
> code in config.c
>
>  * git_parse_unsigned() does not reject negative values
>  * git_parse_[un]signed() accept a units specifier without any digits
>  * git_parse_signed() has in integer overflow when parsing MAXINT_MIN
>
> Thanks to everyone who commented on V1. I've updated patches 1 & 2 to
> include the tests suggested by peff and added tests for OPT_MAGNITUDE() as
> that uses the same code path.

Having read this round and the discussion on the original version, I
think that this is ready to start merging down.

That said, it would be nice to hear from some other reviewer(s) who
took a look or are interested in this area.

Thanks,
Taylor